org.h2gis.functions.spatial.mesh

## Class ST_ConstrainedDelaunay

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.mesh.ST_ConstrainedDelaunay

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_ConstrainedDelaunay
    extends org.h2gis.api.DeterministicScalarFunction

Returns polygons or lines that represent a Delaunay triangulation constructed from a geometry. Note that the triangulation computes the intersections between lines.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_ConstrainedDelaunay()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.GeometryCollection` `createCDT(org.locationtech.jts.geom.Geometry geometry)` Build a constrained delaunay triangulation based on a geometry (point, line, polygon)
`static org.locationtech.jts.geom.GeometryCollection` `createCDT(org.locationtech.jts.geom.Geometry geometry, int flag)` Build a constrained delaunay triangulation based on a geometry (point, line, polygon)
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_ConstrainedDelaunay

    public ST_ConstrainedDelaunay()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### createCDT

    public static org.locationtech.jts.geom.GeometryCollection createCDT(org.locationtech.jts.geom.Geometry geometry)
                                                                  throws SQLException

Build a constrained delaunay triangulation based on a geometry (point, line, polygon)

Parameters:
  `geometry` -
Returns:
  a set of polygons (triangles)
Throws:
  `SQLException`

#### createCDT

    public static org.locationtech.jts.geom.GeometryCollection createCDT(org.locationtech.jts.geom.Geometry geometry,
                                                                         int flag)
                                                                  throws SQLException

Build a constrained delaunay triangulation based on a geometry (point, line, polygon)

Parameters:
  `geometry` -
  `flag` -
Returns:
  a set of polygons (triangles)
Throws:
  `SQLException`